The Linux Software Store Conundrum
================================================================================
> Surveying the choices, the Linux OS could use a better retail online outlet.

For quite some time, I've pleaded with the Ubuntu team to consider updating the Ubuntu Software Center. It's nearly unusable on older PCs, and even on modern hardware this method of software installation leaves a lot to be desired – especially with paid applications.

It's my hope that this article will not only help each of us take a hard look at the existing methods of Linux software discovery and installation, but perhaps we'll finally settle on a means of handling paid software titles as well.

### Linspire was close ###

Whether you hated or loved the company [Linspire][1] before [Xandros][2] purchased the brand, the fact of the matter is that the early days of its Click-n-Run (CNR) Warehouse was years ahead of its time. Before CNR became a one size fits all tool trying to be all things to all distributions, Linspire offered what I felt was the most newbie friendly method for installing software onto Linux. Even by today's standards, "classic" CNR has yet to be touched in terms of easily installing FoSS and commercial applications in a seamless environment.

### Steam as a software store ###

While there are a number of "other" software stores available for the Linux desktop, none of them actually support paid applications like the Ubuntu Software Center. The only viable alternative I've seen to the Ubuntu Software Center for distributing paid applications on the Linux desktop is Valve's [Steam][3] digital software manager. Known as a top outlet for distributing paid Linux games, I've found that Steam is already being used to [distribute software][4] for other platforms. I think that it's entirely possible Steam would be a good option for distributing paid software for Linux users as well.

Unlike other software distribution tools, Steam is designed specifically to handle payments in a much cleaner way than existing Linux alternatives. Also, Steam presents games and software titles in a fantastic light, so those browsing these titles can settle on the right application for their needs.

Now I'm not suggesting that Steam would be the best replacement for say, discovering open source software titles. I'm firmly against such an idea. I would suggest, however, that Steam provides a multiple distro option for handling all software/games of a proprietary nature.

### A new ecosystem is born ###

By now, you may think that I'm firmly against software distribution tools like the Ubuntu Software Center. But the truth is, I'd love to see it improved and to succeed with as many open source titles as possible. Again, while I think it needs work, it still provides a fairly decent tool for software title discovery. But as I noted out above, the payment system provided in the Software Center is simply not providing a good user experience overall. It's slow, and doesn't really provide a solid tool for discovering the latest releases of paid software.

In this arena, I see Steam as the clear winner here. And if we can get Steam ramped up in distributing paid applications that people actually want to use – not just the limited paid title library for Linux we have now – the options could be limitless.

Imagine a new ecosystem where paid applications have their own distribution tool free from dependency on any one Linux distro. Ubuntu, Arch, OpenSUSE, whatever the distro might happen to be, I see Steam as the tool introducing yet-to-be-ported software over to the Linux space. And as new software titles are released and discovered, more will follow. Perhaps we'd even see mega-brands making an appearance? Adobe Photoshop and Microsoft Office – if the paying audience is there, I see no reason why these titles wouldn't be made available.

### Hurdles and challenges ###

There are some serious challenges to overcome before Steam for software could take a hold of the Linux space. The first challenge is the Linux user base itself: we can be cynical, reserved and always concerned about the next big "proprietary threat" coming down the road. Despite the warm reception Valve has seen with Steam delivering games onto the various Linux distributions, I think this "welcome" would cool a bit if software titles were also being actively promoted.

Another concern that has crossed my mind is whether Valve would welcome tons of "junk" applications like the ones you can find in the mobile software space. Nothing would be worse than hundreds of junk applications and hardly any compelling ones in the Steam store. It's my hope that we find a balance between quantity and quality with regard to paid Linux software titles.

### No Steam – No Problem? ###

I'm not one to put too much emphasis on a single solution to any problem, therefore I acknowledge that Steam alone might not be the only method of delivering paid software titles to the Linux-using masses. But my question then shifts to: if it's not Steam – what is the solution? We've seen distributions like Ubuntu make attempts at bringing in paid software titles and clearly, [the results][5] haven't been all that great.

I do give props to Ubuntu for their attempts at getting new titles submitted into the Software Center, thanks to their [App Developer Week][6]. It's a great idea and for casual apps, it's been fun to see what new titles have come out of the event. Sadly, though, I don't see this luring Adobe or Microsoft into making highly requested titles available for non-Microsoft and Apple platforms.

In the end, are there genuinely viable alternatives for paid software to make their way into the Linux landscape? In the enterprise realm, it's already happening.

### Enterprise applications ###

Based on my personal experience, I honestly don't see a future where paid applications will gain a major foothold on the Linux desktop. But I do see paid applications making major waves in the future on the Linux server. Like most things Linux, it's on the server where the money is earned; through services and enterprise grade products.

So even if Steam can align itself to become a distribution tool for paid applications, I fear it won't be that desirable for the enterprise space. On the flip side, perhaps we'll be able to revisit this in the future, and Steam will indeed be in a place to distribute paid Linux software for consumers and not just great games.

--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/the-linux-software-store-conundrum-1.html

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://en.wikipedia.org/wiki/Linspire
[2]:http://en.wikipedia.org/wiki/Xandros
[3]:http://en.wikipedia.org/wiki/Steam_(software)
[4]:http://store.steampowered.com/software/
[5]:http://developer.ubuntu.com/2013/04/top-10-ubuntu-app-downloads-for-march/
[6]:http://developer.ubuntu.com/2013/12/ubuntu-app-developer-week-call-for-papers/