Top 10 Linux Games of 2013
================================================================================
**With 2013 wrapping up, we’ve brought together 10 of our favourite Linux games of the past year.**

2013 was a huge year for Linux gaming with Valve’s continued commitment to the platform, encouraging words from big studios like Battlefield developers [DICE][1], and Creative Assembly’s commitment to bringing Total War: Rome II to [Linux next year][2].

Our list contains both indie titles and some of the most influential AAA titles to date. **This list isn’t intended to be comprehensive nor anything other than our opinion.**

All of the titles are available on Steam and/or the Ubuntu Software Center, so get your wallets and purses and prepare to throw some money at your screen!

### Garry’s Mod ###

![Prop or not?](http://www.omgubuntu.co.uk/wp-content/uploads/2013/12/garrysmod-prophunt.jpg)
*Prop or not?*

Garry’s Mod is a sandbox game with little to no objective in itself, but the magic is in all the props you can load up from a number of Source engine games and the growing number of mods created by the community.

One such mod is [PropHunt][3] – a hide-and-seek game where one team hides as various objects on a map and the other attempts to find the filing cabinet precariously perched on a secluded staircase.

It’s simple fun, yet the vast array of game mods – be it for prop hunting, spaceship building, or machinima recording – makes Garry’s Mod a fantastic addition to an avid Linux gamer’s collection.

- [Get Garry’s Mod on Steam][4]

### Half-Life 2 ###

![Theoretical physics has never been so cool.](http://www.omgubuntu.co.uk/wp-content/uploads/2013/05/halflife.jpg)
*Theoretical physics has never been so cool.*

And speaking of the Source engine, Half-Life 2 might be the oldest game in the list, but is by far one of the most beloved both in Valve’s oeuvre and amongst all the games to come to Linux this year.

Half-Life 2 continues protagonist and theoretical physicist Gordon Freeman’s story from the first title in the series as he makes his way across a world ravaged by man and alien alike. Everything from physics puzzles to frighteningly agile headcrabs stand in your way, but the journey is *still* one of the most enthralling experiences in any game today.

The next title in the Half-Life series has a lot to live up to, but judging by the reception of one of the oldest titles to get a Linux port, Linux gamers are ready with crowbar and Gravity Gun in hand.

- [Get Half-Life 2 on Steam][5]

### Amnesia: A Machine for Pigs ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/09/amnesia-machine-for-pigs.jpg)

When we reviewed Amnesia: A Machine for Pigs [in September][6], we found the title’s atmosphere as nerve-wracking as the first and worth trudging through the easy puzzles to explore the Victorian surroundings and steampunk-like machinery.

One of the biggest wins was day one Linux support for a title in such a popular series. But the developers at Frictional Games have always been friends to Linux gamers, porting titles from their Penumbra series in 2007 and 2008 soon after launch.

- [Get Amnesia: AMfP on Steam][7]
- [Get Amnesia: AMfP on the Ubuntu Software Center][8]

### Metro: Last Light ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/12/metro-lastlight-750x294.png)

Metro: Last Light is one the first AAA titles to come to Linux and [relatively quickly][9] to boot. Set in 2034 under the nuclear-devastated city of Moscow, Metro: Last Light twists the tropes of post-apocalyptic narratives into an intense first-person shooter experience.

Everything from ghosts to mutant arachnids and giant amoebas are prepared to make a normal day in post-apocalyptic Moscow a little less pleasant.

It’s not as tongue-in-cheek as the similarly post-apocalyptic Fallout series, but just as reflective of the brutal, yet sometimes touching, human experience in trying times.

- [Get Metro: Last Light on Steam][10]

### Starbound ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/12/starbound.jpg)

Think of Starbound as Terraria or a 2D Minecraft with a real storyline and set in space. What’s not to love?

Much like Minecraft, you can hunt, mine, and build in the world, but unlike the popular 3D sandbox game, you can also travel to other planets and participate in an actual storyline. Your spacecraft starts off stranded in orbit and your first set of quests involves familiarising yourself with the gameplay mechanics and finding fuel for your ship before you can start exploring the procedurally generated planets. What’s more, the various monsters on each planet are also procedurally generated, so you’ll encounter some truly bizarre creatures along the way.

Starbound is an **Early Access Game**, so you’ll probably discover some broken mechanics (the bow and arrow are a bit troublesome to say the least) and experience a crash or two along the way. But it’s still a fun and featureful game despite being in beta.

- [Get Starbound on Steam][11]

### 0 A.D. ###

![Workers constructing buildings and picking berries.](http://www.omgubuntu.co.uk/wp-content/uploads/2013/09/0ad_buildings.jpg)
*Workers constructing buildings and picking berries.*

0 A.D. has been available on Linux for several years, but we think it deserves a place in the list for all its accomplishments in 2013.

It’s the only free and open source title on the list and recently wrapped up a $33,251 [fundraising drive][12] – enough, they say, to hire one of their programmers for a full year. Though the game didn’t reach its more optimistic fundraising goals, that’s still $33,251 raised to support an open source project.

And more than anything, it’s fun. Fans of the Age of Empires style of real-time strategy will enjoy the work that’s gone into 0 A.D. over the years. The attention to detail is evident and though the title still has a ways to go, it only stands to improve with another dedicated programmer on board.

- [Get 0 A.D. on the Ubuntu Software Center][13]

### War in a Box: Paper Tanks ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/12/papertanks.jpg)

Tower defence games are as common as Reversi or Minesweeper, but [War in a Box: Paper Tanks][14] adds a dose of charm to the addictive genre.

Its unique paper-craft aesthetic works extremely well, giving the 24 levels a tireless appeal as you play and replay each level. At $3.99 it’s an easy sell for anyone who enjoys casual tower defence games. It’s simple fun, but utterly addicting.

- [Get War in a Box: Paper Tanks][15]

### FEZ ###

![I like fezes. Fezes are cool.](http://www.omgubuntu.co.uk/wp-content/uploads/2013/09/fez-closeup-300x204.png)
*I like fezes. Fezes are cool.*

We reviewed FEZ back [in September][16] and the perspective-shifting 2D platformer is every bit as fun as a Pillsbury Doughboy-like character with a fez on makes it sound.

Jumping puzzles, mind-bending perspective puzzles, and gaming in-jokes all contribute to a title that stays fresh even when you’ve fallen off the map a dozen times or stood too close to a bomb when it goes off.

- [Get FEZ on Steam][17]

### Europa Universalis IV ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/12/europa-universalis-banner.jpg)

Imagine Civilization with a bit more micromanagement, a big helping of history, and one gigantic difference: it’s on Linux!

Unlike the Civilization games, Europa Universalis titles are historical strategy, though by no means a play-by-play of history books. And instead of battling across thousands of years, EUIV only spans the years 1444–1821. But that doesn’t mean EU is any less fun or engaging as the longer running Civilization series.

EUIV plays out in real-time rather than in turns, so you’ll be pausing often to get a better view of your growing empire or your wealthy nation’s vast trade routes. The EU series can be intimidating to beginners given the scope of “grand strategy” gameplay, but if you ever wanted to play out the colonisation of the Americas or tweak the outcome of the Napoleonic Wars, it’ll be worth the effort.

- [Get Europa Universalis IV on Steam][18]

### Kentucky Route Zero ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/02/Kentucy-Route-Zero-1.jpg)

[Kentucky Route Zero][19] is one of my favourite games of all time. It’s the most artistically-orientated title in the list and one that exemplifies the more poetic side of gaming in addition to all the AAA titles that we can to look forward to in 2014 and beyond.

Kentucky Route Zero brings the magical realism genre to point-and-click adventures, mixing the surreal with classic adventure game elements. You start out looking for an unknown address to deliver antiques to, but the narrative takes off in unexpected, often fantastical, directions from there.

It’s a game about discovery rather than achievements or saving a princess who’s inevitably in another castle. It won’t be everyone’s cup of tea – nor will it fit everyone’s definition of a “game” – but it is one of the most meaningful and creative titles I’ve ever had the pleasure of playing.

- [Get Kentucky Route Zero on Steam][20]

--------------------------------------------------------------------------------

via: http://www.omgubuntu.co.uk/2013/12/top-10-linux-games-2013

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.polygon.com/2013/10/12/4826190/linux-only-needs-one-killer-game-to-explode-says-battlefield-director
[2]:http://www.omgubuntu.co.uk/2013/11/total-war-rome-ii-coming-linux-early-next-year
[3]:http://steamcommunity.com/sharedfiles/filedetails/?id=135509255
[4]:http://store.steampowered.com/app/4000
[5]:http://store.steampowered.com/app/220
[6]:http://www.omgubuntu.co.uk/2013/09/amnesia-a-machine-for-pigs-review
[7]:http://store.steampowered.com/app/239200
[8]:https://apps.ubuntu.com/cat/applications/amnesia-amfp/
[9]:http://www.omgubuntu.co.uk/2013/11/metro-last-light-steam-linux-download
[10]:http://store.steampowered.com/app/43160
[11]:http://store.steampowered.com/app/211820
[12]:http://www.omgubuntu.co.uk/2013/10/crowd-funding-success-historical-war-game-0-d
[13]:https://apps.ubuntu.com/cat/applications/0ad/
[14]:http://www.omgubuntu.co.uk/2013/03/war-in-a-box-paper-tanks-ubuntu-review
[15]:https://apps.ubuntu.com/cat/applications/war-in-a-box-paper-tanks/
[16]:http://www.omgubuntu.co.uk/2013/09/fez-indie-game-review-on-linux
[17]:http://store.steampowered.com/app/224760/
[18]:http://store.steampowered.com/app/236850
[19]:http://www.omgubuntu.co.uk/2013/02/adventures-in-magical-realism-kentucky-route-zero-act-i-review
[20]:http://store.steampowered.com/app/231200
